# Loki::EvictLRU< DT, ST > Class Template Reference
[Eviction policies]

Evicts least accessed objects first. More...

`#include <CachedFactory.h>`

Inherits Loki::EvictionHelper< ST , DT >.

List of all members.

## Detailed Description

### template<typename DT, typename ST = unsigned>
class Loki::EvictLRU< DT, ST >

Evicts least accessed objects first.

Implementation of the Least recent used algorithm as described in http://en.wikipedia.org/wiki/Page_replacement_algorithms .

WARNING : If an object is heavily fetched (more than ULONG_MAX = UINT_MAX = 4294967295U) it could unfortunately be removed from the cache.

The documentation for this class was generated from the following file:

- CachedFactory.h